import * as i0 from "@angular/core";
export declare class SpinnerComponent {
    readonly size: import("@angular/core").InputSignal<"lg" | "md" | "sm" | "xs">;
    readonly color: import("@angular/core").InputSignal<string>;
    colorToken: import("@angular/core").Signal<string>;
    get classes(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerComponent, "lib-spinner", never, { "size": { "alias": "size"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
